﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="xsl in"
        xmlns:in="http://www.composite.net/ns/transformation/input/1.0"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:msxsl="urn:schemas-microsoft-com:xslt"
        xmlns:user="urn:my-scripts"
        xmlns:mp="#MarkupParserExtensions"
        >

  <msxsl:script language="C#" implements-prefix="user">
    <![CDATA[
            public string FormatDate(DateTime Date)
            {                  return Date.ToString("dddd, dd MMMM yyyy");            }
      ]]>
  </msxsl:script>

        <xsl:template match="/">
                <html>
                        <head>
                        </head>
                        <body>
                          <div class="NewsDetails">
                            <xsl:apply-templates mode="NewsItem" select="/in:inputs/in:result[@name='GetNewsListXml']/*"></xsl:apply-templates>
                          </div>
                        </body>
                </html>
        </xsl:template>
        <xsl:template mode="NewsItem" match="*">
                <div class="NewsItem">
                        <div class="NewsDate">
                                <xsl:value-of select="user:FormatDate(@Date)"/>
                        </div>
                        <div class="NewsTitle">
                                <xsl:value-of select="@Title"/>
                        </div>
                        <div class="NewsDescription">
                                <xsl:copy-of select="mp:ParseXhtmlBodyFragment(@Description)"/>
                        </div>
                </div>
        </xsl:template>
</xsl:stylesheet>

